---
Tournament:
  name: Eastern Washington Regional Tournament
  short name: Eastern Washington Regional
  location: Lewis and Clark High School
  state: WA
  level: Regionals
  division: C
  year: 2025
  bids: 2
  start date: 2025-03-15
  end date: 2025-03-15
  awards date: 2025-03-15
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Quantum Quandary
- name: Robot Tour
- name: Sustainable Energy
- name: Tower
- name: Write It Do It
- name: Cybersecurity
  trial: true
Teams:
- number: 2
  school: Pullman High School
  suffix: Blue
  city: Pullman
  state: WA
- number: 8
  school: Tri-Cities Prep Catholic High School
  city: Pasco
  state: WA
- number: 3
  school: Pullman High School
  suffix: Grey
  city: Pullman
  state: WA
- number: 59
  school: Lewis & Clark High School
  city: Spokane
  state: WA
- number: 42
  school: Moses Lake High School
  city: Moses Lake
  state: WA
- number: 69
  school: Three Springs High School
  city: Cheney
  state: WA
- number: 60
  school: Pullman High School
  suffix: White
  city: Pullman
  state: WA
Placings:
- team: 2
  event: Air Trajectory
  place: 2
- team: 2
  event: Anatomy and Physiology
  place: 5
- team: 2
  event: Astronomy
  place: 3
- team: 2
  event: Chemistry Lab
  place: 2
- team: 2
  event: Codebusters
  place: 4
- team: 2
  event: Disease Detectives
  place: 3
- team: 2
  event: Dynamic Planet
  place: 1
- team: 2
  event: Ecology
  place: 1
- team: 2
  event: Electric Vehicle
  place: 3
- team: 2
  event: Entomology
  place: 4
- team: 2
  event: Experimental Design
  place: 1
- team: 2
  event: Forensics
  place: 2
- team: 2
  event: Fossils
  place: 1
- team: 2
  event: Geologic Mapping
  place: 2
- team: 2
  event: Helicopter
  place: 3
- team: 2
  event: Materials Science
  place: 2
- team: 2
  event: Microbe Mission
  place: 2
- team: 2
  event: Optics
  place: 4
- team: 2
  event: Quantum Quandary
  place: 2
- team: 2
  event: Robot Tour
  place: 2
- team: 2
  event: Sustainable Energy
  place: 3
- team: 2
  event: Tower
  place: 5
- team: 2
  event: Write It Do It
  place: 1
- team: 2
  event: Cybersecurity
  place: 3
- team: 8
  event: Air Trajectory
  place: 3
- team: 8
  event: Anatomy and Physiology
  place: 3
- team: 8
  event: Astronomy
  place: 2
- team: 8
  event: Chemistry Lab
  place: 3
- team: 8
  event: Codebusters
  place: 2
- team: 8
  event: Disease Detectives
  place: 5
- team: 8
  event: Dynamic Planet
  place: 2
- team: 8
  event: Ecology
  place: 5
- team: 8
  event: Electric Vehicle
  place: 2
- team: 8
  event: Entomology
  place: 3
- team: 8
  event: Experimental Design
  place: 4
- team: 8
  event: Forensics
  place: 1
- team: 8
  event: Fossils
  place: 3
- team: 8
  event: Geologic Mapping
  place: 3
- team: 8
  event: Helicopter
  place: 1
- team: 8
  event: Materials Science
  place: 1
- team: 8
  event: Microbe Mission
  place: 4
- team: 8
  event: Optics
  place: 5
- team: 8
  event: Quantum Quandary
  place: 3
- team: 8
  event: Robot Tour
  place: 1
- team: 8
  event: Sustainable Energy
  place: 1
- team: 8
  event: Tower
  place: 1
- team: 8
  event: Write It Do It
  place: 4
- team: 8
  event: Cybersecurity
  place: 2
- team: 3
  event: Air Trajectory
  place: 1
- team: 3
  event: Anatomy and Physiology
  place: 1
- team: 3
  event: Astronomy
  place: 5
- team: 3
  event: Chemistry Lab
  place: 5
- team: 3
  event: Codebusters
  place: 3
- team: 3
  event: Disease Detectives
  place: 2
- team: 3
  event: Dynamic Planet
  place: 3
- team: 3
  event: Ecology
  place: 4
- team: 3
  event: Electric Vehicle
  place: 1
- team: 3
  event: Entomology
  place: 2
- team: 3
  event: Experimental Design
  place: 3
- team: 3
  event: Forensics
  place: 4
- team: 3
  event: Fossils
  place: 5
- team: 3
  event: Geologic Mapping
  place: 1
- team: 3
  event: Helicopter
  place: 2
- team: 3
  event: Materials Science
  place: 3
- team: 3
  event: Microbe Mission
  place: 1
- team: 3
  event: Optics
  place: 1
- team: 3
  event: Quantum Quandary
  place: 4
- team: 3
  event: Robot Tour
  place: 4
- team: 3
  event: Sustainable Energy
  place: 2
- team: 3
  event: Tower
  place: 4
- team: 3
  event: Write It Do It
  place: 6
- team: 3
  event: Cybersecurity
  participated: false
- team: 59
  event: Air Trajectory
  participated: false
- team: 59
  event: Anatomy and Physiology
  place: 2
- team: 59
  event: Astronomy
  place: 1
- team: 59
  event: Chemistry Lab
  place: 1
- team: 59
  event: Codebusters
  place: 1
- team: 59
  event: Disease Detectives
  place: 1
- team: 59
  event: Dynamic Planet
  place: 4
- team: 59
  event: Ecology
  place: 2
- team: 59
  event: Electric Vehicle
  participated: false
- team: 59
  event: Entomology
  place: 1
- team: 59
  event: Experimental Design
  place: 2
- team: 59
  event: Forensics
  place: 5
- team: 59
  event: Fossils
  place: 2
- team: 59
  event: Geologic Mapping
  place: 4
- team: 59
  event: Helicopter
  participated: false
- team: 59
  event: Materials Science
  place: 5
- team: 59
  event: Microbe Mission
  place: 3
- team: 59
  event: Optics
  place: 3
- team: 59
  event: Quantum Quandary
  place: 1
- team: 59
  event: Robot Tour
  participated: true
- team: 59
  event: Sustainable Energy
  place: 4
- team: 59
  event: Tower
  place: 3
- team: 59
  event: Write It Do It
  place: 3
- team: 59
  event: Cybersecurity
  place: 1
- team: 42
  event: Air Trajectory
  place: 4
- team: 42
  event: Anatomy and Physiology
  place: 4
- team: 42
  event: Astronomy
  place: 4
- team: 42
  event: Chemistry Lab
  place: 4
- team: 42
  event: Codebusters
  place: 5
- team: 42
  event: Disease Detectives
  place: 4
- team: 42
  event: Dynamic Planet
  place: 5
- team: 42
  event: Ecology
  place: 6
- team: 42
  event: Electric Vehicle
  place: 4
- team: 42
  event: Entomology
  place: 5
- team: 42
  event: Experimental Design
  place: 5
- team: 42
  event: Forensics
  place: 3
- team: 42
  event: Fossils
  place: 6
- team: 42
  event: Geologic Mapping
  participated: false
- team: 42
  event: Helicopter
  participated: false
- team: 42
  event: Materials Science
  place: 4
- team: 42
  event: Microbe Mission
  place: 5
- team: 42
  event: Optics
  place: 2
- team: 42
  event: Quantum Quandary
  place: 5
- team: 42
  event: Robot Tour
  place: 3
- team: 42
  event: Sustainable Energy
  participated: false
- team: 42
  event: Tower
  place: 2
- team: 42
  event: Write It Do It
  place: 2
- team: 42
  event: Cybersecurity
  participated: false
- team: 69
  event: Air Trajectory
  participated: false
- team: 69
  event: Anatomy and Physiology
  place: 6
- team: 69
  event: Astronomy
  place: 6
- team: 69
  event: Chemistry Lab
  participated: false
- team: 69
  event: Codebusters
  participated: false
- team: 69
  event: Disease Detectives
  participated: false
- team: 69
  event: Dynamic Planet
  participated: false
- team: 69
  event: Ecology
  participated: false
- team: 69
  event: Electric Vehicle
  participated: false
- team: 69
  event: Entomology
  participated: false
- team: 69
  event: Experimental Design
  participated: false
- team: 69
  event: Forensics
  place: 6
- team: 69
  event: Fossils
  place: 4
- team: 69
  event: Geologic Mapping
  place: 5
- team: 69
  event: Helicopter
  participated: false
- team: 69
  event: Materials Science
  participated: false
- team: 69
  event: Microbe Mission
  participated: false
- team: 69
  event: Optics
  place: 6
- team: 69
  event: Quantum Quandary
  place: 6
- team: 69
  event: Robot Tour
  participated: false
- team: 69
  event: Sustainable Energy
  participated: false
- team: 69
  event: Tower
  participated: false
- team: 69
  event: Write It Do It
  place: 5
- team: 69
  event: Cybersecurity
  place: 4
- team: 60
  event: Air Trajectory
  participated: false
- team: 60
  event: Anatomy and Physiology
  participated: false
- team: 60
  event: Astronomy
  place: 7
- team: 60
  event: Chemistry Lab
  participated: false
- team: 60
  event: Codebusters
  participated: false
- team: 60
  event: Disease Detectives
  place: 6
- team: 60
  event: Dynamic Planet
  participated: false
- team: 60
  event: Ecology
  place: 3
- team: 60
  event: Electric Vehicle
  participated: false
- team: 60
  event: Entomology
  place: 6
- team: 60
  event: Experimental Design
  participated: false
- team: 60
  event: Forensics
  participated: false
- team: 60
  event: Fossils
  participated: false
- team: 60
  event: Geologic Mapping
  participated: false
- team: 60
  event: Helicopter
  participated: false
- team: 60
  event: Materials Science
  participated: false
- team: 60
  event: Microbe Mission
  participated: false
- team: 60
  event: Optics
  participated: false
- team: 60
  event: Quantum Quandary
  participated: false
- team: 60
  event: Robot Tour
  participated: false
- team: 60
  event: Sustainable Energy
  participated: false
- team: 60
  event: Tower
  place: 6
- team: 60
  event: Write It Do It
  place: 7
- team: 60
  event: Cybersecurity
  participated: false
